# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ 
    "nvme"
    "xhci_pci"
    "ahci"
    "usbhid"
    "usb_storage" 
    "sd_mod" 
    "amdgpu"
  ];
  boot.initrd.kernelModules = [ 
    "dm-cache-default"
  ];
	boot.kernelModules = [
		"kvm-amd"
		"amdgpu"
	];

  boot.kernelParams = [
    "amdgpu.ppfeaturemask=0xffffffff"
  ];
  
  boot.extraModulePackages = [ ];
  boot.initrd.luks.devices."nixos".device = "/dev/disk/by-uuid/ea7fa60d-35e5-48b8-95d7-142f37b262cd";
  boot.initrd.luks.devices."nixos".preLVM = true;

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/9d1e5022-0265-4ce7-824e-282ee550d52d";
      fsType = "btrfs";
      options = [ "subvol=@root" "compress=zstd"];
    };

  fileSystems."/home" =
    { device = "/dev/disk/by-uuid/9d1e5022-0265-4ce7-824e-282ee550d52d";
      fsType = "btrfs";
      options = [ "subvol=@home" "compress=zstd"];
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/F027-F53F";
      fsType = "vfat";
    };

  fileSystems."/mnt/gamelib" = 
  { device = "/dev/mapper/tank-gamelib";
    fsType = "ext4";
  };

  swapDevices = [ ];

  # Enables DHCP on each ethernet and wireless interface. In case of scripted networking
  # (the default) this is the recommended approach. When using systemd-networkd it's
  # still possible to use this option, but it's recommended to use it in conjunction
  # with explicit per-interface declarations with `networking.interfaces.<interface>.useDHCP`.
  networking.useDHCP = lib.mkDefault true;
  # networking.interfaces.enp34s0.useDHCP = lib.mkDefault true;
  # networking.interfaces.wlp37s0.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  
  hardware.cpu.amd.updateMicrocode = true;
  hardware.graphics = {
    enable32Bit = true;
  };
  hardware.bluetooth.enable = true;
  hardware.xpadneo.enable = true;
  programs.coolercontrol.enable = true;
}
